Uploaded image for project: 'Crowd'
  1. Crowd
  2. CWD-3115

Remove direct upgrade path from very old Crowd versions (<2.0)

    XMLWordPrintable

    Details

    • Type: Suggestion
    • Status: Gathering Interest (View Workflow)
    • Resolution: Unresolved
    • Fix Version/s: None
    • Component/s: Upgrade
    • Labels:
      None
    • Feedback Policy:

      Our product teams collect and evaluate feedback from a number of different sources. To learn more about how we use customer feedback in the planning process, check out our new feature policy.

      Description

      The code that provides a direct upgrade path from very old, unsupported Crowd (< 2.0, released in July 2009) versions to the latest version makes direct use of now-unsupported classes and methods in Hibernate. If this code prevents an upgrade to Hibernate 4 then the cleanest option may be to remove it.

      Customers upgrading from an earlier version would need to first install Crowd 2.[0-6] before upgrading to a later version.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            dberrueta Diego Berrueta
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated: